library coding_buddy;

import 'package:flutter/material.dart';

import 'logic/service/api_service.dart';
import 'package:dio/dio.dart' as dio;

export 'package:get/get.dart';
export 'package:coding_buddy/logic/service/api_service.dart';
export 'package:coding_buddy/logic/service/connectivity_service.dart';
export 'package:coding_buddy/logic/service/local_storage.dart';
export 'package:coding_buddy/logic/service/location_service.dart';
export 'package:coding_buddy/logic/service/platform_info.dart';
export 'package:coding_buddy/logic/controller/base_controller.dart';
export 'package:coding_buddy/logic/helper/regex_rule.dart';
export 'package:coding_buddy/logic/helper/compression_utils.dart';
export 'package:coding_buddy/logic/helper/debug_utils.dart';
export 'package:coding_buddy/logic/helper/intl_formats.dart';
export 'package:coding_buddy/ui/helper/screen_utils.dart';
export 'package:coding_buddy/ui/helper/text_style_utils.dart';
export 'package:permission_handler/permission_handler.dart';
export 'package:intl/intl.dart';
export 'package:device_info/device_info.dart';
export 'package:encrypt/encrypt.dart';
export 'package:flutter_image_compress/flutter_image_compress.dart';
export 'package:provider/provider.dart';
export 'package:shared_preferences/shared_preferences.dart';


class CodingBuddy {
  static Color lightTextColor = Color(0xff25282b);
  static Color darkTextColor = Colors.white;

  static ThemeData lightTheme = ThemeData.light();
  static ThemeData darkTheme = ThemeData.dark();

  static String deviceId;

  static ThemeData theme = lightTheme;

  static bool isPrototype = false;

  static String packageName = 'coding_buddy';

  static String baseUrl = "https://yustanj.portfoliobox.net";

  static CBApiService apiService = CBApiService(baseUrl);

  static Function(dio.Response<dynamic>) defaultErrorHandler = (response) {};
}
