import 'package:flutter/material.dart';

class CBRegexRule {
  static RegexValidation emptyValidationRule =
      RegexValidation(regex: r'^(?!\s*$).+', errorMesssage: "wajib diisi");
  static RegexValidation numberValidationRule =
      RegexValidation(regex: r'^[0-9]*$', errorMesssage: "hanya angka");
  static RegexValidation emailValidationRule = RegexValidation(
      regex:
          r'^(([^<>()[\]\\.,;:\s@\"]+(\.[^<>()[\]\\.,;:\s@\"]+)*)|(\".+\"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$',
      errorMesssage: "tidak sesuai");
  static RegexValidation alphabetValidationRule = RegexValidation(
    regex: r"^[a-zA-Z]+(([',. -][a-zA-Z ])?[a-zA-Z]*)*$",
    errorMesssage: "hanya huruf",
  );
  static RegexValidation nikValidationRule =
      RegexValidation(regex: r'^[0-9]{16}', errorMesssage: "NIK harus 16 digit");
  // static String passwordValidationRule =
  //     '((?=.*\d)(?=.*[a-z])(?=.*[A-Z])(?=.*[@#%]).{6,10})';
  // static String whiteSpaceRule = 'r"\s+"';
  // static String simRule = r'^[0-9]{4}-[0-9]{4}-[0-9]{6}';
  // static String passportRule = r'^[A-Z]{1}[ ]{0,1}[0-9]{7}';
}

class RegexValidation {
  final String regex;
  final String errorMesssage;

  RegexValidation({@required this.regex, @required this.errorMesssage});
}
