import 'package:coding_buddy/logic/helper/debug_utils.dart';
import 'package:location/location.dart';

class CBLocationService {
  static Location _location = new Location();

  static Future<LocationData> getLocation() async {
    bool _serviceEnabled;
    PermissionStatus _permissionGranted;
    LocationData _locationData;

    _serviceEnabled = await _location.serviceEnabled();
    if (!_serviceEnabled) {
      _serviceEnabled = await _location.requestService();
    }

    printDebug('Service : $_serviceEnabled');


    _permissionGranted = await _location.hasPermission();
    if (_permissionGranted == PermissionStatus.DENIED) {
      _permissionGranted = await _location.requestPermission();
    }

    printDebug('Permission Granted : $_permissionGranted');

    _locationData = await _location.getLocation();
    printDebug('Location : ${_locationData.latitude}, ${_locationData.longitude}');
    return _locationData;
  }
}
