import 'dart:io';

import 'package:device_info/device_info.dart';

class CBPlatformInfo {
  static DeviceInfoPlugin _deviceInfo = DeviceInfoPlugin();

  static Future<String> model() async {
    if(Platform.isAndroid){
      var info = await _deviceInfo.androidInfo;
      return info.model;
    }else if(Platform.isIOS){
      var info = await _deviceInfo.iosInfo;
      return info.utsname.machine;
    }else{
      return '';
    }
  }

  static Future<String> deviceId() async {
    if(Platform.isAndroid){
      var info = await _deviceInfo.androidInfo;
      return info.id;
    }else if(Platform.isIOS){
      var info = await _deviceInfo.iosInfo;
      return info.identifierForVendor;
    }else{
      return '';
    }
  }
}